#!/bin/sh
#SBATCH --job-name="NAMD SMP"
#SBATCH --partition=defq
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=48
#SBATCH -t 10:00:00


source /data/apps/go.sh
ml gcc
module load namd/2.14-smp

NODELIST=$SLURM_JOBID.nodes

JOBNODES=$(scontrol show hostname $SLURM_JOB_NODELIST)

echo group main > $NODELIST
for nodes  in $JOBNODES ; do
        echo host $nodes >> $NODELIST
done

charmrun ++ppn 47    ++nodelist $NODELIST `which namd2` +idlepoll +setcpuaffinity step4_equilibration.inp > step4_equilibration.out